Bug 102850 - Nautilus Hangs when Opening Automounted /home
Summary: Nautilus Hangs when Opening Automounted /home
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nautilus (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-21 20:40 UTC by William "B.J." Black
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 14:08:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William "B.J." Black 2003-08-21 20:40:48 UTC
Description of problem:
Nautilus appears to cause massive automounting on some automounted /home
directories.  Not all automounts succeed, so nautilus freezes.  Problem is
inconsistent (maybe a background thread that's looking at $CWD/..?).  Never
noticed this particular issue with previous versions of Nautilus.

Version-Release number of selected component (if applicable):
nautilus-2.2.4-4.E

How reproducible:
Somewhat (I don't get it every time)

Steps to Reproduce:
1. Use automounter to mount /home.
2. Have some /home mounts unmountable.
3. Browse /home or /home/user
    
Actual results:
Nautilus hangs.  Throbber keeps going, but the window itself is unresponsive.

Expected results:
Nautilus probably shouldn't be causing such massive am activity, and should
probably multithread to avoid deadlocks.

Additional info:

Comment 1 Alexander Larsson 2003-08-22 08:22:46 UTC
Strange. browsing /home/user shouldn't do anything like that.
/home is a bit different though, nautilus does a filecount on directories it is
showing. However, there is some code to handle automounted directories i think.

Comment 2 Alexander Larsson 2004-10-04 13:40:14 UTC
If you strace this, does it try to read /home/.hidden all the time?


Comment 3 Alexander Larsson 2006-09-04 14:08:05 UTC
No comments from reporter, no other similar bugreports. Closing.



Note You need to log in before you can comment on or make changes to this bug.